### Method

# RB History insert_at_index

#### Declaration [src]

    void
    rb_history_insert_at_index (
      RBHistory* hist,
      RhythmDBEntry* entry,
      guint index
    )

#### Description [src]

Inserts `entry` at `index` within the history list. 0<=`index`<=size.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry` to insert.

  The data is owned by the caller of the method.

`index`

  Type: `guint`

  Position at which to insert `entry`.